Compile xfce4-pulseudio-plugin

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Compile xfce4-pulseudio-plugin

Dani
Hello:

I try to compile the xfce4-pulseauio-plugin.
I imported from git

$ Git clone https://github.com/xfce-mirror/xfce4-pulseaudio-plugin.git
$ ./autogen.sh --prefix = / usr

Checking for libpulse-mainloop-glib> = 0.9.19 ... not found
*** The required package libpulse-mainloop-glib was not found on your system.
*** Please install libpulse-mainloop-glib (atleast version 0.9.19) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.

My OS: Ubuntu 16.04

I have tried to install libpulse-mainloop-glib but apt-get does not find it.

The reason for trying to compile it is that I have done the translation, and this does not work on clicking on the panel icon, but it does translate when entering properties ...

http://subefotos.com/ver/?44942f7a503d0e2a113b228f27d0f7bao.png

Very thanks



_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

Matthew Brush
On 2017-04-21 12:22 AM, Dani wrote:

> Hello:
>
> I try to compile the xfce4-pulseauio-plugin.
> I imported from git
>
> $ Git clone https://github.com/xfce-mirror/xfce4-pulseaudio-plugin.git
> $ ./autogen.sh --prefix = / usr
>
> Checking for libpulse-mainloop-glib> = 0.9.19 ... not found
> *** The required package libpulse-mainloop-glib was not found on your
> system.
> *** Please install libpulse-mainloop-glib (atleast version 0.9.19) or
> adjust
> *** the PKG_CONFIG_PATH environment variable if you
> *** installed the package in a nonstandard prefix so that
> *** pkg-config is able to find it.
>
> My OS: Ubuntu 16.04
>
> I have tried to install libpulse-mainloop-glib but apt-get does not find
> it.
>

Looking in the repos I see `libpulse-mainloop-glib0`, but it's probably
nagging about the development files, which is presumably `libpulse-dev`.

Regards,
Matthew Brush

_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

killermoehre
In reply to this post by Dani
Am Freitag, den 21.04.2017, 09:22 +0200 schrieb Dani:

> Hello:
>
> I try to compile the xfce4-pulseauio-plugin.
> I imported from git
>
> $ Git clone https://github.com/xfce-mirror/xfce4-pulseaudio-plugin.gi
> t
> $ ./autogen.sh --prefix = / usr
>
> Checking for libpulse-mainloop-glib> = 0.9.19 ... not found
> *** The required package libpulse-mainloop-glib was not found on
> your 
> system.
> *** Please install libpulse-mainloop-glib (atleast version 0.9.19) or
> adjust
> *** the PKG_CONFIG_PATH environment variable if you
> *** installed the package in a nonstandard prefix so that
> *** pkg-config is able to find it.
>
> My OS: Ubuntu 16.04
>
> I have tried to install libpulse-mainloop-glib but apt-get does not
> find it.
>
> The reason for trying to compile it is that I have done the
> translation, 
> and this does not work on clicking on the panel icon, but it does 
> translate when entering properties ...
>
> http://subefotos.com/ver/?44942f7a503d0e2a113b228f27d0f7bao.png
>
> Very thanks

Hi,

you should install all build dependencies as first thing.

apt-get build-dep xfce4-pulseaudio-plugin

In general you need on debian-like systems (*buntu and debain are
debian-like) the appropriate *-devel packages, as the packaging
guidelines states that build information shall be stripped out.

BR
_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

Dani
In reply to this post by Matthew Brush

On 21/04/17 09:44, Matthew Brush wrote:

> On 2017-04-21 12:22 AM, Dani wrote:
>> Hello:
>>
>> I try to compile the xfce4-pulseauio-plugin.
>> I imported from git
>>
>> $ Git clone https://github.com/xfce-mirror/xfce4-pulseaudio-plugin.git
>> $ ./autogen.sh --prefix = / usr
>>
>> Checking for libpulse-mainloop-glib> = 0.9.19 ... not found
>> *** The required package libpulse-mainloop-glib was not found on your
>> system.
>> *** Please install libpulse-mainloop-glib (atleast version 0.9.19) or
>> adjust
>> *** the PKG_CONFIG_PATH environment variable if you
>> *** installed the package in a nonstandard prefix so that
>> *** pkg-config is able to find it.
>>
>> My OS: Ubuntu 16.04
>>
>> I have tried to install libpulse-mainloop-glib but apt-get does not find
>> it.
>>
>
> Looking in the repos I see `libpulse-mainloop-glib0`, but it's
> probably nagging about the development files, which is presumably
> `libpulse-dev`.
>
>
OK
$ sudo apt-get build-dep xfce4-pulseaudio-plugin
and
$ sudo apt-get install libxfce4ui-2-dev

Thanks




_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

Dani
In reply to this post by killermoehre
On 21/04/17 10:03, Silvio Knizek wrote:

> Am Freitag, den 21.04.2017, 09:22 +0200 schrieb Dani:
>> Hello:
>>
>> I try to compile the xfce4-pulseauio-plugin.
>> I imported from git
>>
>> $ Git clone https://github.com/xfce-mirror/xfce4-pulseaudio-plugin.gi
>> t
>> $ ./autogen.sh --prefix = / usr
>>
>> Checking for libpulse-mainloop-glib> = 0.9.19 ... not found
>> *** The required package libpulse-mainloop-glib was not found on
>> your
>> system.
>> *** Please install libpulse-mainloop-glib (atleast version 0.9.19) or
>> adjust
>> *** the PKG_CONFIG_PATH environment variable if you
>> *** installed the package in a nonstandard prefix so that
>> *** pkg-config is able to find it.
>>
>> My OS: Ubuntu 16.04
>>
>> I have tried to install libpulse-mainloop-glib but apt-get does not
>> find it.
>>
>> The reason for trying to compile it is that I have done the
>> translation,
>> and this does not work on clicking on the panel icon, but it does
>> translate when entering properties ...
>>
>> http://subefotos.com/ver/?44942f7a503d0e2a113b228f27d0f7bao.png
>>
>> Very thanks
> Hi,
>
> you should install all build dependencies as first thing.
>
> apt-get build-dep xfce4-pulseaudio-plugin
>
> In general you need on debian-like systems (*buntu and debain are
> debian-like) the appropriate *-devel packages, as the packaging
> guidelines states that build information shall be stripped out.
>
> BR
>
Ok thanks
Now make wel.

The problem is that no get translation for "_Mute audio output" on line
258 file pulseaudio-menu.c:
   menu->mute_output_item = gtk_check_menu_item_new_with_mnemonic
(_("_Mute audio output"));

I put .mo file with the translation on
/usr/share/locale/gl/LC_MESSAGES/xfce4-pulseaudio-plugin.mo

po translation for  is this
#: ../panel-plugin/pulseaudio-menu.c:258
msgid "_Mute audio output"
msgstr "_Silenciar a saída de son"

url to image
https://cdn.pbrd.co/images/6UqPqcBAt.png

Very thanks



_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

Mikhail Efremov
On Fri, 21 Apr 2017 11:44:39 +0200 Dani wrote:
> The problem is that no get translation for "_Mute audio output" on line
> 258 file pulseaudio-menu.c:
>    menu->mute_output_item = gtk_check_menu_item_new_with_mnemonic
> (_("_Mute audio output"));

https://bugzilla.xfce.org/show_bug.cgi?id=13428

--
WBR, Mikhail Efremov
_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compile xfce4-pulseudio-plugin

Dani
On 21/04/17 17:41, Mikhail Efremov wrote:
> On Fri, 21 Apr 2017 11:44:39 +0200 Dani wrote:
>> The problem is that no get translation for "_Mute audio output" on line
>> 258 file pulseaudio-menu.c:
>>     menu->mute_output_item = gtk_check_menu_item_new_with_mnemonic
>> (_("_Mute audio output"));
> https://bugzilla.xfce.org/show_bug.cgi?id=13428
>
OK
now work fine!!

Very thanks!!

_______________________________________________
Xfce4-dev mailing list
[hidden email]
https://mail.xfce.org/mailman/listinfo/xfce4-dev
Loading...